certbot-auto自动更新失败

小站letsencrypt证书即将到期,按照惯例续签证书,结果遇到升级证书的问题。


[root@coolskill ~]# cd letsencrypt/
[root@coolskill letsencrypt]# ./letsencrypt-auto  renew
Upgrading certbot-auto 1.1.0 to 1.2.0...
Couldn't download https://raw.githubusercontent.com/certbot/certbot/v1.2.0/letsencrypt-auto-source/letsencrypt-auto. <urlopen error timed out>
[root@coolskill letsencrypt]# ls certbot-auto
certbot-auto

失败原因是: 访问raw.githubusercontent.com域名失败。猜测了一些原因,尝试通过绑host的方式,结果顺利解决。


[root@coolskill letsencrypt]# ./letsencrypt-auto  renew
Bootstrapping dependencies for Legacy RedHat-based OSes that will use Python3... (you can skip this with --no-bootstrap)
yum is /usr/bin/yum
yum is hashed (/usr/bin/yum)
Loaded plugins: security
Setting up Install Process
Package gcc-4.4.7-23.el6.x86_64 already installed and latest version
Package augeas-libs-1.0.0-10.el6.x86_64 already installed and latest version
Package openssl-1.0.1e-58.el6_10.x86_64 already installed and latest version
Package openssl-devel-1.0.1e-58.el6_10.x86_64 already installed and latest version
Package libffi-devel-3.0.5-3.2.el6.x86_64 already installed and latest version
Package redhat-rpm-config-9.0.3-51.el6.centos.noarch already installed and latest version
Package ca-certificates-2019.2.32-65.1.el6_10.noarch already installed and latest version
Package rh-python36-python-3.6.9-2.el6.x86_64 already installed and latest version
Package rh-python36-python-virtualenv-15.1.0-2.el6.noarch already installed and latest version
Package rh-python36-python-devel-3.6.9-2.el6.x86_64 already installed and latest version
Nothing to do
Upgrading certbot-auto 1.1.0 to 1.2.0...
Replacing certbot-auto...
Creating virtual environment...
Installing Python packages...
Installation succeeded.
Saving debug log to /var/log/letsencrypt/letsencrypt.log

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Processing /etc/letsencrypt/renewal/coolskill.net.conf
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Cert is due for renewal, auto-renewing...
Plugins selected: Authenticator standalone, Installer None
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for coolskill.net
http-01 challenge for www.coolskill.net